datacache <- new.env(hash=TRUE, parent=emptyenv())

drosophila2 <- function() showQCData("drosophila2", datacache)
drosophila2_dbconn <- function() dbconn(datacache)
drosophila2_dbfile <- function() dbfile(datacache)
drosophila2_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
drosophila2_dbInfo <- function() dbInfo(datacache)

drosophila2ORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "drosophila2.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.FLYCHIP_DB("drosophila2", "chip drosophila2", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(drosophila2_dbconn())
}

